<!--
Archivo de vista para el historial de activades realizadas sobre una historia de usuario
-->
{% extends 'base.html' %}

{% block content %}
    <div class="container mb-5">

        <div class="h3 mt-3 text-center ">
            <h1 class="text-light">Historial de Modificaciones de {{ US.titulo }}</h1>
        </div>

        <div class="row bg-light border rounded border-dark mb-3">

            <input type="text" id="buscarActividad" onkeyup="buscarTabla('buscarActividad','tablaActividad')"
                   placeholder="Buscar por Detalle"
                   title="Type in a name" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">

            <table class="table table-hover" id="tablaActividad">
                <thead class="thead-dark ">
                <tr>
                    <th scope="row" onclick="sortTable(0,'tablaActividad')">ID</th>
                    <th scope="col" onclick="sortTable(1,'tablaActividad')">Detalle</th>
                    <th scope="col" onclick="sortTable(3,'tablaActividad')">Miembro</th>
                    <th scope="col" onclick="sortTable(4,'tablaActividad')">Fecha</th>
                    <th scope="col" onclick="sortTable(5,'tablaActividad')">Hora</th>
                </tr>
                </thead>
                <tbody>
                <!-- Recorremos los objetos o registros que tenemos en nuestra tabla y los listamos -->
                {% for actividad in modificacionesUs %}{# todas las US que vienen desde view.py #}
                    <tr>
                        <th scope="row">{{ actividad.id }}</th>
                        <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">
                            {{ actividad.detalle }}</td>
                        <td>{{ actividad.idMiembro.idUser.first_name }} {{ actividad.idMiembro.idUser.last_name }}</td>
                        <td>{{ actividad.fecha }}</td>
                        <td>{{ actividad.hora }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            {% block boton %}
                <div align="left" class="btn_crear mb-3 p-3">
                    <!-- Botón para volver a la vista principal (Home) -->
                    <a class="btn btn-secondary" href="{% url 'Proyecto:UsProyecto' idProyecto %}"
                       role="button">Volver</a>

                </div>
            {% endblock %}
        </div>
    </div>

{% endblock %}